=== ns-3.17/examples/realtime/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_program('realtime-udp-echo', ['csma', 'internet'])
    obj.source = 'realtime-udp-echo.cc'

    bld.register_ns3_script('realtime-udp-echo.py', ['csma', 'internet', 'applications'])
