=== ns-3.17/src/tools/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):

    module = bld.create_ns3_module('tools', ['network', 'stats'])
    module.source = [
        'model/event-garbage-collector.cc',
        'model/gnuplot.cc',
        'model/delay-jitter-estimation.cc',
        ]

    module_test = bld.create_ns3_module_test_library('tools')
    module_test.source = [
        'test/average-test-suite.cc',
        'test/event-garbage-collector-test-suite.cc',
        ]
    
    headers = bld(features='ns3header')
    headers.module = 'tools'
    headers.source = [
        'model/average.h',
        'model/event-garbage-collector.h',
        'model/gnuplot.h',
        'model/delay-jitter-estimation.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
        bld.recurse('examples')

    bld.ns3_python_bindings()
